# hoe-rubocop

|What | Where |
|-----|--------|
|code  | https://github.com/saigkill/hoe-rubocop | 
|rdoc  | http://www.rubydoc.info/gems/hoe-rubocop | 
|docs  | https://github.com/saigkill/hoe-rubocop/wiki | 
|bugs  | https://github.com/saigkill/hoe-rubocop/issues |
|openhub statistics | https://www.openhub.net/p/hoe-rubocop | 
|authors blog | https://saschamanns.de | 
|min_rubyver | 2.3.0 |

| What | Status |
|-------------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
|last public version | [![Last Version](https://badge.fury.io/rb/hoe-rubocop.png)](http://rubygems.org/gems/hoe-rubocop) |
|downloads latest | [![Downloads latest](https://img.shields.io/gem/dtv/hoe-rubocop.svg)](http://rubygems.org/gems/hoe-rubocop)  |
|downloads all | [![Downloads all](https://img.shields.io/gem/dt/hoe-rubocop.svg)](http://rubygems.org/gems/hoe-rubocop) |
|continuous integration | [![continuous integration](https://github.com/saigkill/hoe-rubocop/workflows/RubyGem/badge.svg?branch=master&event=push)](https://github.)
|code quality | [![Maintainability](https://api.codeclimate.com/v1/badges/b86e5bce35fcf054090a/maintainability)](https://codeclimate.com/github/saigkill/hoe-rubocop/maintainability) |
|dependencies|[![Dependabot Status](https://api.dependabot.com/badges/status?host=github&repo=saigkill/hoe-rubocop)](https://dependabot.com)
|security | [![Security](https://hakiri.io/github/saigkill/hoe-rubocop/master.svg)](https://hakiri.io/github/saigkill/hoe-rubocop/master) |
|vulnerabilities|[![Known Vulnerabilities](https://snyk.io/test/github/saigkill/hoe-rubocop/badge.svg?targetFile=Gemfile.lock)](https://snyk.io/test/github/saigkill/hoe-rubocop?targetFile=Gemfile.lock) | 
|documentation quality | [![Documentation Quality](https://inch-ci.org/github/saigkill/hoe-rubocop.svg?branch=master)](https://inch-ci.org/github/saigkill/hoe-rubocop) |

## SCREENSHOT

[![Screenshot](https://saschamanns.de/img/screenshots/hoe-manns-screenshots.png)](https://github.com/saigkill/hoe-rubocop)

## DESCRIPTION:

This hoe plugin extends hoe for using some rake tasks to control rubocop.

The CHANGELOG.md contains a detailed description on what has changed.

hoe-rubocop is released under the GPL3 License, see the file 'License.md' for more information.

The official web site is:

    https://github.com/saigkill/hoe-rubocop

## FEATURES:

* This plugin extends hoe for using some rake tasks to control rubocop.

This Gem was programmed and tested for Linux systems. If anyone would like to make the methods also fit for other OS,
i'm happy about Pull requests.

## SYNOPSIS:

Use in your Rakefile:

    Hoe.plugin :rubocop

    Hoe.spec 'yourproject' do
    ...
    end

Also add hoe-rubocop to your requirements and recreate your Gemfile.

## REQUIREMENTS:

* rake
* rubocop

## INSTALL:

The installation is very easy.

    gem install hoe-rubocop

## DEVELOPERS:

After checking out the source, run:

  $ rake newb

This task will install any missing dependencies, run the tests/specs,
and generate the RDoc.